Skip to content

saveJournalEntryWithLines

DESTRUCTIVE

Save journal entry with lines.

POST /api/v1/accounting/saveJournalEntryWithLines
curl -X POST '<your-host>/api/v1/accounting/saveJournalEntryWithLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "journalEntryId": "string",
    "postingDate": "string",
    "lines": []
  }'
Response
{
  "results": [
    {
      "id": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "journalEntryId": {
      "type": "string"
    },
    "postingDate": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "lines": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "accountId": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "debit": {
            "type": "number"
          },
          "credit": {
            "type": "number"
          },
          "dimensions": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "dimensionId": {
                  "type": "string"
                },
                "valueId": {
                  "type": "string"
                }
              },
              "required": [
                "dimensionId",
                "valueId"
              ]
            }
          }
        },
        "required": [
          "accountId",
          "debit",
          "credit"
        ]
      }
    }
  },
  "required": [
    "journalEntryId",
    "postingDate",
    "lines"
  ]
}